export {};
import { GenericHandler } from "./GenericHandler";
declare class ChannelEventHandler extends GenericHandler {
    MESSAGE_CHAT: any;
    MESSAGE_GROUPCHAT: any;
    MESSAGE_WEBRTC: any;
    MESSAGE_MANAGEMENT: any;
    MESSAGE_ERROR: any;
    MESSAGE_HEADLINE: any;
    MESSAGE_CLOSE: any;
    channelsService: any;
    findAttrs: any;
    findChildren: any;
    static getClassName(): string;
    getClassName(): string;
    static getAccessorName(): string;
    getAccessorName(): string;
    constructor(xmppService: any, channelsService: any);
    onManagementMessageReceived(msg: any, stanzaTab: any): void;
    onHeadlineMessageReceived(msg: any, stanzaTab: any): void;
    onChannelManagementMessageReceived(stanza: any): boolean;
    onReceiptMessageReceived(msg: any, stanza: any): void;
    onErrorMessageReceived(msg: any, stanzaTab: any): void;
}
export { ChannelEventHandler };
